'use strict';

var util = require('../util'),
	conf = require(util.getRoot()+'/fis-conf.js');

var protocol = fis.config.get('repo').remote_protocol;

var remote_url = fis.config.get('repo').remote_url;


module.exports = {
    name: 'gitsource',
    file: function (repo, ref, path) {
	var fileurl = 'https://raw.githubusercontent.com/' + repo + '/' + ref + '/' + path;

	if(protocol=='gitlab'){
		fileurl = remote_url + repo + '/raw/' + ref + '/' + path;
	}
        return fileurl;
    },
    archiveExt: protocol=='gitlab'?'.zip':'.tar.gz',
    archive: function (repo, ref) {
	var archiveurl = 'https://codeload.github.com/' + repo + '/tar.gz/' + ref;

	if(protocol=='gitlab'){
		archiveurl = remote_url + repo + '/repository/archive.tar.gz?ref=' + ref;
	}
        return archiveurl;
    }
};

